For the complete documentation index, see llms.txt. This page is also available as Markdown.

List available posture check versions

get
Authorizations
defguard_sessionstringRequired
Responses
200

Operating system and client versions that posture checks can require.

application/json
desktop_client_versionsstring[]Required
linux_kernel_versionsinteger · int32[]Required
mobile_client_versionsstring[]Required
get/api/v1/device-posture/versions
GET /api/v1/device-posture/versions HTTP/1.1
Accept: */*
{
  "desktop_client_versions": [
    "text"
  ],
  "linux_kernel_versions": [
    1
  ],
  "mobile_client_versions": [
    "text"
  ],
  "os_versions": {
    "android": [
      1
    ],
    "ios": [
      1
    ],
    "macos": [
      1
    ],
    "windows": [
      1
    ]
  }
}

Last updated

Was this helpful?